using UnityEngine;
using System.Collections;

public class M2HIOSADS2 : MonoBehaviour {
	
	enum AdState { nothing, iAd, Admob}
	AdState adState = AdState.nothing;
	
	void Awake(){
		
        LoadAdmobID();

    }

    void LoadAdmobID()
    {
		string admobFile = "admobIDIphone";
        if(SystemInfo.deviceModel.Contains("iPad"))
            admobFile = "admobIDIpad";

        TextAsset ta = (TextAsset)Resources.Load(admobFile, typeof(TextAsset));
        if (ta != null && ta.text.Length >= 7){
			GetComponent<AdMobAdapter>().publisherId = ta.text;
		}else
            Debug.LogError("Error in admob publisher ID!!");
		
		
    }
	
	
	void Start(){
		//StartCoroutine(ShowiADBanner());
		StartAdmob();
	}
	
	private ADBannerView banner  = null;
    
	IEnumerator ShowiADBanner() {
    	
		Debug.Log ("ShowiADBanner");
		adState = AdState.iAd;
		
		banner = new ADBannerView();
        banner.autoSize = true;
        banner.autoPosition = ADPosition.Bottom;
        
		while (!banner.loaded && banner.error == null)
        yield return 0;
        
    	if (banner.error == null){
       	 	banner.Show();
		}else{
			Debug.Log ("iAD error: code="+banner.error.code+" descr=" +banner.error.description+" reson=" +banner.error.reason);
			banner = null;
			StartAdmob();
		}
	}
	
	
	
	
	//// ADMOB
	
	//public bool autorotateAds = true;
	public bool isLandscape {
		get{
		return (Screen.orientation == ScreenOrientation.Landscape ||
			Screen.orientation == ScreenOrientation.LandscapeLeft ||
			Screen.orientation == ScreenOrientation.LandscapeRight); 
		}
	}
	public string publisherId = "a14d3e67dfeb7ba";
	
	
	void StartAdmob()
	{  
		Debug.Log (" StartAdmob" );
		adState = AdState.Admob;
		AdMobBinding.init( publisherId );

		// center the banner.  this is a basic setup with centered banners
		if( isLandscape )
		{
			if(SystemInfo.deviceModel.Contains("iPad"))
				AdMobBinding.createBanner( AdMobBannerType.iPad_728x90, ( 1024 - 728 ) / 2, 768 - 90);
			else
				AdMobBinding.createBanner( AdMobBannerType.iPhone_320x50, ( 480 - 320 ) / 2, 320 - 50);
				
			// rotate to our desired orientation, in this case landscape left
			AdMobBinding.rotateToOrientation( DeviceOrientation.LandscapeLeft );
			Screen.orientation = ( ScreenOrientation )DeviceOrientation.LandscapeLeft;
		}
		else
		{
			if(SystemInfo.deviceModel.Contains("iPad"))
				AdMobBinding.createBanner( AdMobBannerType.iPad_728x90, 0, 1024 - 90);
			else
				AdMobBinding.createBanner( AdMobBannerType.iPhone_320x50, 0, 480 - 50);
		}
	}
	

	/*void Update()
	{
		if(autorotateAds && adState == AdState.Admob){
		// only update if we switched orientation
		if( Screen.orientation != ( ScreenOrientation )Input.deviceOrientation )
		{
			if( isLandscape )
			{
				// Allow rotating to landscape left/right
				if( Input.deviceOrientation == DeviceOrientation.LandscapeLeft || Input.deviceOrientation == DeviceOrientation.LandscapeRight )
				{
					AdMobBinding.rotateToOrientation( Input.deviceOrientation );
					Screen.orientation = ( ScreenOrientation )Input.deviceOrientation;;
				}
			}
			else
			{
				// Allow rotating to portrait and portrait upsideDown
				if( Input.deviceOrientation == DeviceOrientation.Portrait || Input.deviceOrientation == DeviceOrientation.PortraitUpsideDown )
				{
					// no need to swap orientation for these because device and screen are the same
					AdMobBinding.rotateToOrientation( Input.deviceOrientation );
					Screen.orientation = ( ScreenOrientation )Input.deviceOrientation;
				}
			}
		}
		}
	}*/
	
	void OnEnable()
	{
		// Listen to all events for illustration purposes
		AdMobManager.adViewDidReceiveAdEvent += adViewDidReceiveAdEvent;
		AdMobManager.adViewFailedToReceiveAdEvent += adViewFailedToReceiveAdEvent;
		//AdMobManager.interstitialDidReceiveAdEvent += interstitialDidReceiveAdEvent;
		//AdMobManager.interstitialFailedToReceiveAdEvent += interstitialFailedToReceiveAdEvent;
	}


	void OnDisable()
	{
		// Remove all event handlers
		AdMobManager.adViewDidReceiveAdEvent -= adViewDidReceiveAdEvent;
		AdMobManager.adViewFailedToReceiveAdEvent -= adViewFailedToReceiveAdEvent;
		//AdMobManager.interstitialDidReceiveAdEvent -= interstitialDidReceiveAdEvent;
		//AdMobManager.interstitialFailedToReceiveAdEvent -= interstitialFailedToReceiveAdEvent;
	}



	void adViewDidReceiveAdEvent()
	{
		Debug.Log( "adViewDidReceiveAdEvent" );
	}


	void adViewFailedToReceiveAdEvent( string error )
	{
		Debug.Log( "adViewFailedToReceiveAdEvent: " + error );
		
		StartCoroutine(StopAdmobAndStartiAD());
	}
	
	
	IEnumerator StopAdmobAndStartiAD(){
		Debug.Log ("StopAdmobAndStartiAD" );
		AdMobBinding.destroyBanner();
		yield return new WaitForSeconds(5);
		StartCoroutine(ShowiADBanner());
	}
	

	/*void interstitialDidReceiveAdEvent()
	{
		Debug.Log( "interstitialDidReceiveAdEvent" );
	}


	void interstitialFailedToReceiveAdEvent( string error )
	{
		Debug.Log( "interstitialFailedToReceiveAdEvent: " + error );
	}*/


}
